Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Class ConvolveMatrixRable8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
              org.apache.batik.ext.awt.image.renderable.ConvolveMatrixRable8Bit

All Implemented Interfaces:
  RenderableImage, ConvolveMatrixRable, Filter, FilterColorInterpolation

    public class ConvolveMatrixRable8Bit

extends AbstractColorInterpolationRable
implements ConvolveMatrixRable

Convolves an image with a convolution matrix. Known limitations: Does not support bias other than zero - pending 16bit pathway Does not support edgeMode="wrap" - pending Tile code.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`csLinear`

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`ConvolveMatrixRable8Bit(Filter source)`

Method Summary
`RenderedImage` | `createRendering(RenderContext rc)`
`void` | `fixAlpha_FALLBACK(WritableRaster wr)`
`void` | `fixAlpha_INT_PACK(WritableRaster wr)`
`void` | `fixAlpha(BufferedImage bi)`
`double` | `getBias()` Returns the shift value to apply to the result of convolution
`PadMode` | `getEdgeMode()` Returns the current edge handling mode.
`Kernel` | `getKernel()` Returns the Convolution Kernel in use
`double[]` | `getKernelUnitLength()` Returns the [x,y] distance in user space between kernel values
`boolean` | `getPreserveAlpha()` Returns false if the convolution should affect the Alpha channel
`Filter` | `getSource()` Returns the source to be Convolved
`Point` | `getTarget()` Returns the target point of the kernel (what pixel under the kernel should be set to the result of convolution).
`void` | `setBias(double bias)` Returns the shift value to apply to the result of convolution
`void` | `setEdgeMode(PadMode edgeMode)` Sets the current edge handling mode.
`void` | `setKernel(Kernel k)` Sets the Convolution Kernel to use.
`void` | `setKernelUnitLength(double[] kernelUnitLength)` Sets the [x,y] distance in user space between kernel values If set to zero then device space will be used.
`void` | `setPreserveAlpha(boolean preserveAlpha)` Sets Alpha channel handling.
`void` | `setSource(Filter src)` Sets the source to be Convolved
`void` | `setTarget(Point pt)` Sets the target point of the kernel (what pixel under the kernel should be set to the result of the convolution).

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`convertSourceCS, convertSourceCS, getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getBounds2D, getDependencyRegion, getDirtyRegion, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Constructor Detail

### ConvolveMatrixRable8Bit

    public ConvolveMatrixRable8Bit(Filter source)

Method Detail

### getSource

    public Filter getSource()

  Description copied from interface: `ConvolveMatrixRable`
  Returns the source to be Convolved

  Specified by:
    `getSource` in interface `ConvolveMatrixRable`

### setSource

    public void setSource(Filter src)

  Description copied from interface: `ConvolveMatrixRable`
  Sets the source to be Convolved

  Specified by:
    `setSource` in interface `ConvolveMatrixRable`
  Parameters:
    `src` - image to Convolved.

### getKernel

    public Kernel getKernel()

  Returns the Convolution Kernel in use

  Specified by:
    `getKernel` in interface `ConvolveMatrixRable`

### setKernel

    public void setKernel(Kernel k)

  Sets the Convolution Kernel to use.

  Specified by:
    `setKernel` in interface `ConvolveMatrixRable`
  Parameters:
    `k` - Kernel to use for convolution.

### getTarget

    public Point getTarget()

  Description copied from interface: `ConvolveMatrixRable`
  Returns the target point of the kernel (what pixel under the kernel should be set to the result of convolution).

  Specified by:
    `getTarget` in interface `ConvolveMatrixRable`

### setTarget

    public void setTarget(Point pt)

  Description copied from interface: `ConvolveMatrixRable`
  Sets the target point of the kernel (what pixel under the kernel should be set to the result of the convolution).

  Specified by:
    `setTarget` in interface `ConvolveMatrixRable`

### getBias

    public double getBias()

  Returns the shift value to apply to the result of convolution

  Specified by:
    `getBias` in interface `ConvolveMatrixRable`

### setBias

    public void setBias(double bias)

  Returns the shift value to apply to the result of convolution

  Specified by:
    `setBias` in interface `ConvolveMatrixRable`

### getEdgeMode

    public PadMode getEdgeMode()

  Returns the current edge handling mode.

  Specified by:
    `getEdgeMode` in interface `ConvolveMatrixRable`

### setEdgeMode

    public void setEdgeMode(PadMode edgeMode)

  Sets the current edge handling mode.

  Specified by:
    `setEdgeMode` in interface `ConvolveMatrixRable`

### getKernelUnitLength

    public double[] getKernelUnitLength()

  Returns the [x,y] distance in user space between kernel values

  Specified by:
    `getKernelUnitLength` in interface `ConvolveMatrixRable`

### setKernelUnitLength

    public void setKernelUnitLength(double[] kernelUnitLength)

  Sets the [x,y] distance in user space between kernel values If set to zero then device space will be used.

  Specified by:
    `setKernelUnitLength` in interface `ConvolveMatrixRable`

### getPreserveAlpha

    public boolean getPreserveAlpha()

  Returns false if the convolution should affect the Alpha channel

  Specified by:
    `getPreserveAlpha` in interface `ConvolveMatrixRable`

### setPreserveAlpha

    public void setPreserveAlpha(boolean preserveAlpha)

  Sets Alpha channel handling. A value of False indicates that the convolution should apply to the Alpha Channel

  Specified by:
    `setPreserveAlpha` in interface `ConvolveMatrixRable`

### fixAlpha

    public void fixAlpha(BufferedImage bi)

### fixAlpha_INT_PACK

    public void fixAlpha_INT_PACK(WritableRaster wr)

### fixAlpha_FALLBACK

    public void fixAlpha_FALLBACK(WritableRaster wr)

### createRendering

    public RenderedImage createRendering(RenderContext rc)

  Specified by:
    `createRendering` in interface `RenderableImage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.